import { ModelEnum } from './model.enum';
import { ChatMessage } from './chat-message.enum';
export declare class LargeLanguageModel {
    private readonly accessKeyId;
    private readonly secretAccessKey;
    private readonly region;
    private readonly bedrock;
    constructor(
        accessKeyId: string,
        secretAccessKey: string,
        region: string,
        model: ModelEnum,
        temperature?: number,
        maxTokens?: number,
    );
    public complete(prompt: string): Promise<string>;
    public chat(chatMessages: ChatMessage[], autoFitContextWindowMinimumMessagesToKeep?: number): Promise<string>
}

export function getTokenCount(text: string): number;